EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'CondaPackages_IncrementDownloadCount',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Increments the download count for a Conda package.'
GO

IF OBJECT_ID('[CondaPackages_IncrementDownloadCount]') IS NOT NULL DROP PROCEDURE [CondaPackages_IncrementDownloadCount]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [CondaPackages_IncrementDownloadCount]
(
	@CondaPackage_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	UPDATE [CondaPackages]
	   SET [Download_Count] = [Download_Count] + 1,
	       [LastDownloaded_Date] = GETUTCDATE()
	 WHERE [CondaPackage_Id] = @CondaPackage_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [CondaPackages_IncrementDownloadCount] TO [ProGetUser_Role]
GO