EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'FeedReplications_SetLastRunDate',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ 'FeedReplication_Id',
    /* Description_Text        */ 'Updates the last run date on a a new feed replication to the current date.'
GO

IF OBJECT_ID('[FeedReplications_SetLastRunDate]') IS NOT NULL DROP PROCEDURE [FeedReplications_SetLastRunDate]
GO


SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [FeedReplications_SetLastRunDate]
(
	@FeedReplication_Id INT
)
AS
BEGIN

SET NOCOUNT ON

 UPDATE [FeedReplications] SET [LastRun_Date] = GETUTCDATE()
  WHERE [FeedReplication_Id] = @FeedReplication_Id

END
GO



GRANT EXECUTE ON [FeedReplications_SetLastRunDate] TO [ProGetUser_Role]
GO
	   

