EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'FeedUsageInstructions_GetUsageInstructions',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'FeedUsageInstructions',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Returns all the custom feed usage instructions for a specific feed.',
	/* Remarks_Text            */ 'Built in feed usage instructions are stored within code, but can be hidden via the FeedConfig.'
GO

IF OBJECT_ID('[FeedUsageInstructions_GetUsageInstructions]') IS NOT NULL DROP PROCEDURE [FeedUsageInstructions_GetUsageInstructions]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [FeedUsageInstructions_GetUsageInstructions]
(
	@Feed_Id INT,
    @FeedUsageInstruction_Id INT = NULL
)
AS
BEGIN

	SET NOCOUNT ON

    SELECT *
    FROM [FeedUsageInstructions]
    WHERE [Feed_Id] = @Feed_Id 
        AND (@FeedUsageInstruction_Id IS NULL OR [FeedUsageInstruction_Id] = @FeedUsageInstruction_Id)

END
GO

GRANT EXECUTE ON [FeedUsageInstructions_GetUsageInstructions] TO [ProGetUser_Role]