EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'UserDirectories_SetEnabled',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Enables or disables a user directory.'
GO

IF OBJECT_ID('[UserDirectories_SetEnabled]') IS NOT NULL DROP PROCEDURE [UserDirectories_SetEnabled]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [UserDirectories_SetEnabled]
(
	@UserDirectory_Id INT,
    @Enabled_Indicator YNIndicator
)
AS
BEGIN

SET NOCOUNT ON

	UPDATE [UserDirectories]
  SET [Enabled_Indicator] = @Enabled_Indicator
  WHERE [UserDirectory_Id] = @UserDirectory_Id

END
GO

GRANT EXECUTE ON [UserDirectories_SetEnabled] TO [ProGetUser_Role]